Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit
Class AbstractLayoutRenderer

    java.lang.Object
      javax.faces.render.Renderer
          org.ajax4jsf.renderkit.RendererBase
              org.ajax4jsf.renderkit.HeaderResourcesRendererBase
                  org.richfaces.renderkit.AbstractLayoutRenderer

All Implemented Interfaces:
  org.ajax4jsf.renderkit.ChameleonRenderer, org.ajax4jsf.renderkit.HeaderResourceProducer, org.ajax4jsf.renderkit.HeaderResourceProducer2, org.ajax4jsf.resource.ResourceProduser

Direct Known Subclasses:
  LayoutRenderer

    public abstract class AbstractLayoutRenderer

extends org.ajax4jsf.renderkit.HeaderResourcesRendererBase

Author:
  asmirnov

Field Summary

Fields inherited from class org.ajax4jsf.renderkit.RendererBase
`JAVASCRIPT_NAMESPACE`

Constructor Summary
`AbstractLayoutRenderer()`

Method Summary
`protected java.lang.String` | `calculateLayoutClass(UILayoutPanel left, UILayoutPanel right, UILayoutPanel center)`
`void` | `renderLayout(javax.faces.context.FacesContext context, UILayout layout)`

Methods inherited from class org.ajax4jsf.renderkit.HeaderResourcesRendererBase
`encodeResourcesArray, encodeToHead, getHeaderScripts, getHeaderStyles, getScripts, getStyles`

Methods inherited from class org.ajax4jsf.renderkit.RendererBase
`addResource, decode, doDecode, doEncodeBegin, doEncodeChildren, doEncodeEnd, encodeBegin, encodeChildren, encodeEnd, getComponentClass, getResource, getSkin, getUtils, preDecode, preEncodeBegin, renderChild, renderChildren`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, getConvertedValue, getRendersChildren`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractLayoutRenderer

    public AbstractLayoutRenderer()

Method Detail

### renderLayout

    public void renderLayout(javax.faces.context.FacesContext context,
                             UILayout layout)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

### calculateLayoutClass

    protected java.lang.String calculateLayoutClass(UILayoutPanel left,
                                                    UILayoutPanel right,
                                                    UILayoutPanel center)

  Parameters:
    `left` -
    `right` -
    `center` -
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.